#include "TestU01.h"
#include <stdio.h>
#define IMAX 48
#define LACN 3
static unsigned int y = 2463534242U;

unsigned int xorshift(void) {
	y ^= (y << 13);
	y ^= (y >> 17);
	return y ^= (y << 5);
}

int main(void) {
	unif01_Gen *gen1, *gen2, *gen3, *gen4;
	unsigned long A[IMAX + 1];
	long Lac[LACN] = {0, 40, 48};
	int i;
	gen1 = unif01_CreateExternGenBits("Xorshift-32", xorshift);
	bbattery_SmallCrush(gen1);
	
	/*for(i = 0; i < IMAX; i++)
		A[i] = unif01_StripB(gen1, 0, 31);
	gen2 = ucarry_CreateSWB(8, 48, 0, 2147483648, A);
	gen3 = unif01_CreateLacGen(gen2, LACN, Lac);
	smarsa_BirthdaySpacings(gen3, NULL, 1, 10000, 0, 4096, 3, 1);
	unif01_DeleteLacGen(gen3);
	ucarry_DeleteSWB(gen2);
	unif01_DeleteExternGen01(gen1);
	
	gen1 = ulec_Createlfsr113(12345, 12345, 12345, 12345);
	gen2 = ulec_CreateMRG31k3p(123, 123, 123, 123, 123, 123);
	gen3 = unif01_CreateCombAdd2(gen1, gen2, "Comb_ulec");
	gen4 = unif01_CreateDoubleGen(gen3, 24);
	bbattery_Crush(gen4);
	unif01_DeleteDoubleGen(gen4);
	unif01_DeleteCombGen(gen3);
	ulec_DeleteGen(gen2);
	ulec_DeleteGen(gen1);*/
	return 0;
}
